<mat-sidenav-container class="sidenav-container mat-app-background"
  [ngClass]="{ 'dark-theme-mode': this.themesService.getIsDarkTheme() }">
  <mat-sidenav #drawer class="sidenav" fixedInViewport [attr.role]="'dialog'">
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a mat-list-item routerLink="/feed" i18n="Feed@@feedID">Feed</a>
      <a *ngIf="this.isLoggedIn" mat-list-item routerLink="/feed/personal">My Feed</a>
      <a mat-list-item routerLink="/about/us" i18n="About Us@@aboutUsID">About Us</a>
      <button mat-icon-button matTooltip="Switch theme" (click)="this.themesService.toggleTheme()">
        <mat-icon>{{
          themesService.getIsDarkTheme() ? "brightness_2" : "brightness_7"
          }}</mat-icon>
      </button>
      <button mat-icon-button [matMenuTriggerFor]="translationMenu">
        <mat-icon>translate</mat-icon>
      </button>
      <mat-menu #translationMenu="matMenu" color="secondary">
        <a mat-menu-item *ngFor="let lang of langs" href="/{{ lang.code }}" color="primary">{{ lang.label }}</a>
      </mat-menu>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <mat-toolbar-row color="primary" id="normalRow" [style.display]="(visibleSearch == true) ? 'none' : '' ">
        <button type="button" aria-label="Toggle sidenav" mat-icon-button (click)="drawer.toggle()"
          *ngIf="isHandset$ | async">
          <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
        </button>

        <a class="navbar-brand" routerLink="/">
          <div class="logo-image">
            <img class="img-fluid" src="assets/images/logo_schmal.png">
          </div>
        </a>
        <div *ngIf="(isHandset$ | async) === false">
          <button mat-button class="nav-button" routerLink="/feed" i18n="Feed@@feedID">Feed</button>
          <button *ngIf="this.isLoggedIn" mat-button class="nav-button" routerLink="/feed/personal">My Feed</button>
          <button mat-button class="nav-button" routerLink="/about/us" i18n="About Us@@aboutUsID">About Us</button>
        </div>

        <span class="spacer"></span>
        <button mat-icon-button matTooltip="Switch theme" (click)="this.themesService.toggleTheme()"
          *ngIf="(isHandset$ | async) === false">
          <mat-icon>{{
            themesService.getIsDarkTheme() ? "brightness_2" : "brightness_7"
            }}</mat-icon>
        </button>

        <button mat-icon-button [matMenuTriggerFor]="translationMenu" *ngIf="(isHandset$ | async) === false">
          <mat-icon>translate</mat-icon>
        </button>
        <mat-menu #translationMenu="matMenu" color="secondary">
          <a mat-menu-item *ngFor="let lang of langs" href="/{{ lang.code }}" color="primary">{{ lang.label }}</a>
        </mat-menu>

        <div *ngIf="this.isLoggedIn; then loggedInBlock; else notLoggedInBlock"></div>
        <ng-template #loggedInBlock>
          <button mat-button [matMenuTriggerFor]="userMenu">
            <mat-icon>face</mat-icon>
            <mat-icon>keyboard_arrow_down</mat-icon>
          </button>

          <mat-menu #userMenu="matMenu">
            <button mat-menu-item [routerLink]="['/profile', authService.getUsername()]">
              <span><span i18n="Signed in as@@signedInID">Signed in as</span>
                <strong>
                  {{ authService.getUsername() }}
                </strong>
              </span>
            </button>
            <mat-divider></mat-divider>
            <button mat-menu-item routerLink="/blog/post">
              <span i18n="New Post@@newPostID">New Post</span>
            </button>
            <button mat-menu-item routerLink="/trade/newTrade">
              <span i18n="New Trade@@newTradeID">New Trade</span>
            </button>
            <button (click)="authService.logout()" mat-menu-item routerLink="/">
              <span i18n="Logout@@logoutID">Logout</span>
            </button>
          </mat-menu>
          <button mat-icon-button (click)="openSearch()" (click)="filterName.value = ''">
            <mat-icon>search</mat-icon>
          </button>
        </ng-template>
        <ng-template #notLoggedInBlock>
          <button mat-icon-button routerLink="/auth">
            <mat-icon>person</mat-icon>
          </button>
        </ng-template>
      </mat-toolbar-row>

      <mat-toolbar-row id="searchRow" [style.display]="(visibleSearch == false) ? 'none' : '' ">
        <mat-icon>search</mat-icon>

        <mat-form-field class="search-full-width">
          <input [formControl]="control1" [matAutocomplete]="auto" matInput #filterName name="filterName">
          <mat-autocomplete #auto="matAutocomplete">
            <mat-option *ngFor="let option of usernamesFilteredOptions | async" [value]="option"
              [ngClass]="_allowSelection(option)" (click)="userClicked(option)">
              <ng-container *ngIf="option !='No User was found'">
                <mat-icon>launch</mat-icon>
              </ng-container> {{ option }}
            </mat-option>
          </mat-autocomplete>
        </mat-form-field>

        <button mat-icon-button (click)="closeSearch()">
          <mat-icon>close</mat-icon>
        </button>
      </mat-toolbar-row>
    </mat-toolbar>

    <!-- Add Content Here -->
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>